
TYPO3.Flow - Task # 36651

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: - Documentation -
Created: 2012-04-27 Assigned To: Karsten Dambekalns
Updated: 2012-06-25 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Update "CGL on one page" PDF and link it
Description

We once had a nice PDF containing the most important CGL on one page (see attachment). This has been removed with the relaunch
of flow3.typo3.org apparently.
We should update the PDF and link it in the CGL section of the documentation on flow3.typo3.org

Some of the required changes:

    -  remove encoding declaration
    -  adjust license header
    -  remove obsolete class annotations (@pacakge, @version, @license)
    -  Replace \F3 with \TYPO3\FLOW3
    -  Add trailing backslash to "ArrayObject" in var annotation
    -  Add empty space between description and var annotations
    -  Remove @author annotations

Associated revisions
Revision 3633f650 - 2012-06-22 19:16 - Karsten Dambekalns

[TASK] Update "CGL on one page"

Change-Id: Ia191bb1a3de17d170603b23aa0efd4553d333c61
Resolves: #36651
Releases: 1.1, 1.2

Revision 2e85be9b - 2012-06-25 10:52 - Karsten Dambekalns

[TASK] Update "CGL on one page"

Change-Id: Ia191bb1a3de17d170603b23aa0efd4553d333c61
Resolves: #36651
Releases: 1.1, 1.2

Revision 20f273f4 - 2012-06-25 16:42 - Karsten Dambekalns

[TASK] Update and link CGL on one page

Change-Id: I197d387b956b1b8054e0be8d5411b406a061ab8a
Resolves: #36651
Releases: 1.1, 1.2

Revision fc2d1969 - 2012-06-25 17:19 - Karsten Dambekalns

[TASK] Update and link CGL on one page

Change-Id: I197d387b956b1b8054e0be8d5411b406a061ab8a
Resolves: #36651
Releases: 1.1, 1.2

History
#1 - 2012-04-27 11:32 - Bastian Waidelich

BTW: Karsten, I assign this to you as you have the ODT file (according to Robert). Happy Birthday ;)

#2 - 2012-04-27 11:34 - Karsten Dambekalns
- Status changed from New to Accepted
- Target version set to 1.1

The source file is in the (which is it now?) git repository :) I'll take care!

#3 - 2012-04-27 11:35 - Aske Ertmann

    -  The links at the bottom doesn't work anymore

#4 - 2012-05-21 18:15 - Karsten Dambekalns
- File FLOW3_Coding_Guidelines_on_one_page.pdf added
- % Done changed from 0 to 50

    -  remove encoding declaration (was already gone)
    -  adjust license header
    -  remove obsolete class annotations (@package, @version, @license) (only license was left)
    -  Replace \F3 with \TYPO3\FLOW3 (no F3 anywhere to be found)
    -  Add trailing backslash to "ArrayObject" in var annotation
    -  Add empty space between description and var annotations
    -  Remove @author annotations

See a PDF of the result attached. If that is fine, I'll submit a change.

#5 - 2012-05-25 09:41 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#6 - 2012-06-21 12:15 - Karsten Dambekalns
- Project changed from Documentation to TYPO3.Flow
#7 - 2012-06-21 12:15 - Karsten Dambekalns
- Category set to - Documentation -
- Has patch set to No

#8 - 2012-06-21 14:53 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12252

#9 - 2012-06-22 19:16 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12252

#10 - 2012-06-25 10:53 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12342

#11 - 2012-06-25 11:34 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 50 to 100

Applied in changeset commit:2e85be9b40c89c5393f2ea77784fc2759c802bc9.

#12 - 2012-06-25 11:37 - Karsten Dambekalns
- Status changed from Resolved to Accepted
- % Done changed from 100 to 90

Still needs to be put online.

#13 - 2012-06-25 16:41 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12353

#14 - 2012-06-25 16:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12353
#15 - 2012-06-25 17:19 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12355

#16 - 2012-06-25 17:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:fc2d196907bc4d68221cc4b6d92d09480b68cacb.

Files
FLOW3_CGL_on_one_page-v9-1.pdf 42.2 kB 2012-04-27 Bastian Waidelich
FLOW3_Coding_Guidelines_on_one_page.pdf 38 kB 2012-05-21 Karsten Dambekalns
